﻿using System.Windows.Controls;
using System.Windows;

namespace xamTabControlSample
{
    public class TabTemplateSelector:DataTemplateSelector
    {
        public override System.Windows.DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            FrameworkElement element = container as FrameworkElement;

            if (element != null && item != null && item is TestTabItem)
            {
                TestTabItem tabItem = item as TestTabItem;

                    return
                        element.FindResource(tabItem.Template) as DataTemplate;
            }

            return null;
        }
    }
}
